# Class SecurityPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
java.security.SecurityPermission

All Implemented Interfaces:
  `Serializable, Guard`

@Deprecated(since="25", forRemoval=true) public final class SecurityPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
This permission cannot be used for controlling access to resources as the Security Manager is no longer supported.
This class is for security permissions. A `SecurityPermission` contains a name (also referred to as a "target name") but no actions list; you either have the named permission or you don't.

The target name is the name of a security configuration parameter.

Since:
  1.2
See Also:
  - `BasicPermission`
  - `Permission`
  - `Permissions`
  - `PermissionCollection`
  - `SecurityManager`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SecurityPermission(String name)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new `SecurityPermission` with the specified name.
`SecurityPermission(String name, String actions)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new `SecurityPermission` object with the specified name.

## Method Summary

### Methods declared in class BasicPermission

`equals, getActions, hashCode, implies, newPermissionCollection`

### Methods declared in class Permission

`checkGuard, getName, toString`

### Methods declared in class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SecurityPermission

public SecurityPermission(String name)
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new `SecurityPermission` with the specified name. The name is the symbolic name of the `SecurityPermission`. An asterisk may appear at the end of the name, following a ".", or by itself, to signify a wildcard match.

Parameters:
  `name` - the name of the `SecurityPermission`
Throws:
  `NullPointerException` - if `name` is `null`.
  `IllegalArgumentException` - if `name` is empty.

### SecurityPermission

public SecurityPermission(String name, String actions)
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new `SecurityPermission` object with the specified name. The name is the symbolic name of the `SecurityPermission`, and the actions `String` is currently unused and should be `null`.

Parameters:
  `name` - the name of the `SecurityPermission`
  `actions` - should be `null`.
Throws:
  `NullPointerException` - if `name` is `null`.
  `IllegalArgumentException` - if `name` is empty.